using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using C4IT.Security;

namespace C4IT.FASD.Cockpit.Communication
{
    public class cF4sdCockpitCommunicationM42Base
    {
        public virtual async Task<cF4sdCockpitM42BearerTokenInfo> ValidateLogonPassthrough()
        {
            await Task.CompletedTask;
            return null;
        }

        public virtual async Task<cF4sdCockpitM42BearerTokenInfo> ValidateLogonBasic(string User, string Password)
        {
            await Task.CompletedTask;
            return null;
        }

        public virtual async Task<cF4sdCockpitM42BearerTokenInfo> ValidateLogonToken(string Token)
        {
            await Task.CompletedTask;
            return null;
        }

    }

    public class cF4sdCockpitM42BearerTokenInfo
    {
        public string Token;
        public DateTime ValidUntil;
    }
}
